/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"
#include "../display/primitive.h"
#include "../display/gui/font.h"

#define FRAME_BORDER_SIZE 16
#define FRAME_PRIMITIVE_COUNT 9

typedef struct {
  float x, y, z;
  texture_t *texture;
  primitive_t primitive;
} frame_t;